[arch-commits] Commit in gettext/repos (6 files)

Tobias Powalowski tpowa at archlinux.org
Fri Nov 4 07:47:22 EDT 2011


    Date: Friday, November 4, 2011 @ 07:47:22
  Author: tpowa
Revision: 142033

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  gettext/repos/testing-i686/
  gettext/repos/testing-i686/PKGBUILD
    (from rev 142032, gettext/trunk/PKGBUILD)
  gettext/repos/testing-i686/gettext.install
    (from rev 142032, gettext/trunk/gettext.install)
  gettext/repos/testing-x86_64/
  gettext/repos/testing-x86_64/PKGBUILD
    (from rev 142032, gettext/trunk/PKGBUILD)
  gettext/repos/testing-x86_64/gettext.install
    (from rev 142032, gettext/trunk/gettext.install)

--------------------------------+
 testing-i686/PKGBUILD          |   34 ++++++++++++++++++++++++++++++++++
 testing-i686/gettext.install   |   22 ++++++++++++++++++++++
 testing-x86_64/PKGBUILD        |   34 ++++++++++++++++++++++++++++++++++
 testing-x86_64/gettext.install |   22 ++++++++++++++++++++++
 4 files changed, 112 insertions(+)

Copied: gettext/repos/testing-i686/PKGBUILD (from rev 142032, gettext/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2011-11-04 11:47:22 UTC (rev 142033)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer:
+
+pkgname=gettext
+pkgver=0.18.1.1
+pkgrel=4
+pkgdesc="GNU internationalization library"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/gettext/"
+license=('GPL')
+groups=('base')
+depends=('gcc-libs' 'acl' 'sh' 'glib2')
+optdepends=('cvs: for autopoint tool')
+options=(!libtool !docs)
+install=gettext.install
+source=(ftp://ftp.gnu.org/pub/gnu/gettext/${pkgname}-${pkgver}.tar.gz)
+md5sums=('3dd55b952826d2b32f51308f2f91aa89')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  sed -i -e 's/libexpat.so.0/libexpat.so.1/' gettext-tools/src/x-glade.c
+  ./configure --prefix=/usr --enable-csharp
+  make
+}
+
+#check() {
+#  cd "${srcdir}/${pkgname}-${pkgver}"
+#  make check
+#}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: gettext/repos/testing-i686/gettext.install (from rev 142032, gettext/trunk/gettext.install)
===================================================================
--- testing-i686/gettext.install	                        (rev 0)
+++ testing-i686/gettext.install	2011-11-04 11:47:22 UTC (rev 142033)
@@ -0,0 +1,22 @@
+infodir=/usr/share/info
+filelist=(gettext.info.gz autosprintf.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:

Copied: gettext/repos/testing-x86_64/PKGBUILD (from rev 142032, gettext/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2011-11-04 11:47:22 UTC (rev 142033)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer:
+
+pkgname=gettext
+pkgver=0.18.1.1
+pkgrel=4
+pkgdesc="GNU internationalization library"
+arch=('i686' 'x86_64')
+url="http://www.gnu.org/software/gettext/"
+license=('GPL')
+groups=('base')
+depends=('gcc-libs' 'acl' 'sh' 'glib2')
+optdepends=('cvs: for autopoint tool')
+options=(!libtool !docs)
+install=gettext.install
+source=(ftp://ftp.gnu.org/pub/gnu/gettext/${pkgname}-${pkgver}.tar.gz)
+md5sums=('3dd55b952826d2b32f51308f2f91aa89')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  sed -i -e 's/libexpat.so.0/libexpat.so.1/' gettext-tools/src/x-glade.c
+  ./configure --prefix=/usr --enable-csharp
+  make
+}
+
+#check() {
+#  cd "${srcdir}/${pkgname}-${pkgver}"
+#  make check
+#}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}

Copied: gettext/repos/testing-x86_64/gettext.install (from rev 142032, gettext/trunk/gettext.install)
===================================================================
--- testing-x86_64/gettext.install	                        (rev 0)
+++ testing-x86_64/gettext.install	2011-11-04 11:47:22 UTC (rev 142033)
@@ -0,0 +1,22 @@
+infodir=/usr/share/info
+filelist=(gettext.info.gz autosprintf.info.gz)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list